# OrderChain Class Reference
[Dynamic query builder]

Inheritance diagram for OrderChain:
[legend]

List of all members.

## Public Member Functions

| add ($order)
| prepend ($order)
| getLast ()
| getList ()
| getCount ()
| toMapped (ProtoDAO $dao, JoinCapableQuery $query)
| toDialectString (Dialect $dialect)

## Static Public Member Functions

static | create ()

## Private Member Functions

| makeOrder ($object)

## Private Attributes

| $chain = array()

## Detailed Description

Definition at line 15 of file OrderChain.class.php.

## Member Function Documentation

OrderChain::add | ( | $ | order | ) |

Returns:
  OrderChain

Definition at line 30 of file OrderChain.class.php.

References makeOrder().

Here is the call graph for this function:

static OrderChain::create | ( |  | ) | `[static]`

Returns:
  OrderChain

Definition at line 22 of file OrderChain.class.php.

OrderChain::getCount | ( |  | ) |

Definition at line 63 of file OrderChain.class.php.

OrderChain::getLast | ( |  | ) |

Returns:
  OrderBy

Definition at line 53 of file OrderChain.class.php.

OrderChain::getList | ( |  | ) |

Definition at line 58 of file OrderChain.class.php.

OrderChain::makeOrder | ( | $ | object | ) | `[private]`

Returns:
  OrderBy

Definition at line 97 of file OrderChain.class.php.

Referenced by add(), and prepend().

OrderChain::prepend | ( | $ | order | ) |

Returns:
  OrderChain

Definition at line 40 of file OrderChain.class.php.

References makeOrder().

Here is the call graph for this function:

OrderChain::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 81 of file OrderChain.class.php.

OrderChain::toMapped | ( | ProtoDAO $ | dao,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  OrderChain

Implements MappableObject.

Definition at line 71 of file OrderChain.class.php.

References $chain.

## Member Data Documentation

OrderChain::$chain = array()`[private]`

Definition at line 17 of file OrderChain.class.php.

Referenced by toMapped().

The documentation for this class was generated from the following file:

- core/OSQL/OrderChain.class.php